Package org.drinkless.tdlib

# Class TdApi.SetGameScore

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.SetGameScore

Enclosing class:
  `TdApi`

public static class TdApi.SetGameScore extends TdApi.Function<TdApi.Message>
Updates the game score of the specified user in the game; for bots only.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The chat to which the message with the game belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `editMessage`
  Pass true to edit the game message to include the current scoreboard.
  `boolean`
  `force`
  Pass true to update the score even if it decreases.
  `long`
  `messageId`
  Identifier of the message.
  `int`
  `score`
  The new score.
  `long`
  `userId`
  User identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetGameScore()`
  Default constructor for a function, which updates the game score of the specified user in the game; for bots only.
  `SetGameScore(long chatId, long messageId, boolean editMessage, long userId, int score, boolean force)`
  Creates a function, which updates the game score of the specified user in the game; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The chat to which the message with the game belongs.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### editMessage

    public boolean editMessage
    Pass true to edit the game message to include the current scoreboard.

  - ### userId

    public long userId
    User identifier.

  - ### score

    public int score
    The new score.

  - ### force

    public boolean force
    Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetGameScore

    public SetGameScore()
    Default constructor for a function, which updates the game score of the specified user in the game; for bots only.

    Returns `Message`

  - ### SetGameScore

    public SetGameScore(long chatId, long messageId, boolean editMessage, long userId, int score, boolean force)
    Creates a function, which updates the game score of the specified user in the game; for bots only.

    Returns `Message`

    Parameters:
      `chatId` - The chat to which the message with the game belongs.
      `messageId` - Identifier of the message.
      `editMessage` - Pass true to edit the game message to include the current scoreboard.
      `userId` - User identifier.
      `score` - The new score.
      `force` - Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR